{% extends "base.html" %}

{% block content %}
<h1 class="heading-1 marg">Resetowanie hasła</h1>
<div class="container p-3 bg-grey bor-rad marg">
    {% if validlink %}
        <p>Podaj nowe hasło</p>
        <form action="" method="post">
        {% csrf_token %}
            <table>
                <tr>
                    <td>{{ form.new_password1.errors }}
                        <label for="id_new_password1">Nowe hasło:</label></td>
                    <td>{{ form.new_password1 }}</td>
                </tr>
                <tr>
                    <td>{{ form.new_password2.errors }}
                        <label for="id_new_password2">Potwierdź hasło:</label></td>
                    <td>{{ form.new_password2 }}</td>
                </tr>
                <tr>
                    <td></td>
                    <td><input type="submit" value="Zmień moje hasło" /></td>
                </tr>
            </table>
        </form>
    {% else %}
        <h1>Resetowanie hasła zakończyło się niepowodzeniem.</h1>
        <p>Link do zmiany hasła okazał się nieważny. Proszę, wygeneruj nowy link.</p>
    {% endif %}
</div>
{% endblock %}